* [Universal Render Pipeline](index.md)
* [Features]()
  * [Feature Comparison with the Built-in Render Pipeline](universalrp-builtin-feature-comparison.md)
* [Getting started](InstallingAndConfiguringURP.md)
  * [Create a Project from a Template](creating-a-new-project-with-urp.md)
  * [Install URP into an existing Project](InstallURPIntoAProject.md)
  * [The Universal Render Pipeline Asset](universalrp-asset.md)
* [Upgrade guides](upgrade-guides.md)
  * [Upgrade to URP 7.2.0](upgrade-guide-7-2-0.md)
  * [Upgrade from LWRP to URP](upgrade-lwrp-to-urp.md)
* [Rendering](rendering-in-universalrp.md)
* [Lighting](lighting.md)
  * [Light component reference](light-component)
  * [The Universal Additional Light Data component](universal-additional-light-data.md)
* [Cameras](cameras.md)
  * [The Universal Additional Camera Data component](universal-additional-camera-data.md)
  * [Render Type](camera-types-and-render-type.md)
  * [Working with multiple cameras](cameras-multiple.md)
    * [Camera Stacking](camera-stacking.md)
    * [Rendering from multiple Cameras to the same render target](rendering-to-the-same-render-target.md)
    * [Rendering to a Render Texture](rendering-to-a-render-texture.md)
  * [Clearing, rendering order and overdraw](cameras-advanced.md)
  * [Camera component reference](camera-component-reference.md)

* [Post-processing](integration-with-post-processing.md)
  * [Volumes](Volumes.md)
    * [Volume Profile](VolumeProfile.md)
    * [Volume Overrides](VolumeOverrides.md)
  * [Effect List](EffectList.md)
    * [Bloom](post-processing-bloom.md)
    * [Channel Mixer](Post-Processing-Channel-Mixer.md)
    * [Chromatic Aberration](post-processing-chromatic-aberration.md)
    * [Color Adjustments](Post-Processing-Color-Adjustments.md)
    * [Color Curves](Post-Processing-Color-Curves.md)
    * [Depth of Field](post-processing-depth-of-field.md)
    * [Film Grain](Post-Processing-Film-Grain.md)
    * [Lens Distortion](Post-Processing-Lens-Distortion.md)
    * [Lift, Gamma, and Gain](Post-Processing-Lift-Gamma-Gain.md)
    * [Motion Blur](Post-Processing-Motion-Blur.md)
    * [Panini Projection](Post-Processing-Panini-Projection.md)
    * [Shadows Midtones Highlights](Post-Processing-Shadows-Midtones-Highlights.md)
    * [Split Toning](Post-Processing-Split-Toning.md)
    * [Tonemapping](post-processing-tonemapping.md)
    * [Vignette](post-processing-vignette.md)
    * [White Balance](Post-Processing-White-Balance.md)

* [Shaders and Materials](shaders-in-universalrp.md)
  * [Shading Models](shading-model.md)
  * [Lit](lit-shader.md)
  * [Simple Lit](simple-lit-shader.md)
  * [Baked Lit](baked-lit-shader.md)
  * [Unlit](unlit-shader.md)
  * [Particles Lit](particles-lit-shader.md)
  * [Particles Simple Lit](particles-simple-lit-shader.md)
  * [Particles Unlit](particles-unlit-shader.md)
  * [Upgrading shaders from Built-in](upgrading-your-shaders.md)
  * [Shader stripping](shader-stripping.md)

* [2D](2d-index.md)
  * [Introduction to Lights 2D](Lights-2D-intro.md)
  * [Requirements and setup](Setup.md)
  * [Preparing and upgrading](PrepShader.md)
  * [Normal map and mask Textures](SecondaryTextures.md)
  * [Lights 2D properties](2DLightProperties.md)

    * [Light types](LightTypes.md)
  * [Configuring the 2D Renderer Asset](2DRendererData_overview.md)

    * [HDR emulation scale](HDREmulationScale.md)
    * [Light Blend Styles](LightBlendStyles.md)

    * [2D Shadows](2DShadows.md)
  * [2D Renderer and Shader Graph](ShaderGraph.md)
  * [2D Pixel Perfect](2d-pixelperfect.md)
    * [Cinemachine Pixel Perfect extension](pixel-cinemachine.md)

* [Building for consoles](Building-For-Consoles.md)
  
* [Frequently asked questions (FAQ)](faq.md)

* [Feature comparison with the Built-in Render Pipeline](universalrp-builtin-feature-comparison.md)