#  Universal Render Pipeline overview

![Universal Render Pipeline in action](Images/AssetShots/Beauty/Overview.png)

The Universal Render Pipeline (URP) is a prebuilt Scriptable Render Pipeline, made by Unity. URP provides artist-friendly workflows that let you quickly and easily create optimized graphics across a range of platforms, from mobile to high-end consoles and PCs.

URP is supported on the following platforms:
* Windows and UWP
* Mac and iOS
* Android
* XBox One
* PlayStation4
* Nintendo Switch
* WebGL
* All current VR platforms

**Note:** Projects made using URP are not compatible with the High Definition Render Pipeline (HDRP) or the Built-in Render Pipeline. Before you start development, you must decide which render pipeline to use in your Project. For information on choosing a render pipeline, see [the Render Pipelines section of the Unity Manual](https://docs.unity3d.com/2019.3/Documentation/Manual/render-pipelines.html).

## What's new in URP 
For information on what's new in the latest version of URP, see the [Changelog](../changelog/CHANGELOG.html).

## Getting started with URP
For information on starting a new URP Project from scratch, or about installing URP in an existing Unity Project, see [Getting started](InstallingAndConfiguringURP.md).

## Upgrading
For information on upgrading from a previous version of URP to the current version, or for information about upgrading from the Lightweight Render Pipeline (LWRP) to URP, see  [Upgrade guides](upgrade-guides.md).